Metacat - Feature #5810

Implement SOLR-based search
01/24/2013 12:26 PM - ben leinfelder

Status: Closed Start date: 01/24/2013
Priority: High Due date:

Assignee: dJing Tao % Done: 100%
Category: metacat Estimated time: 0.00 hour
Target version: 2.1.0 Spent time: 0.00 hour
Bugzilla-ld: 5810

Description

This will be an implementation of the DataONE MNQuery() methods.

Subtasks:
Task # 5907: Integrate metacat-index build in Metacat build Closed
Task # 5908: Investigate EAR deployment of all Metacat webapps Rejected
Task # 5909: Design configuration for metacat-index Resolved
Task # 5819: MN query for SOLR Resolved
Task # 5906: Implement MetacatSolrindex class Resolved
Task # 5820: Incorporate DataONE indexing Resolved
Task # 5822: Enforce access control for SOLR-based search implementation Resolved
Task # 5904: Design mechanism to enforce access policy Resolved
Task # 5905: Implement access control filter Resolved
Task # 5883: Create unit tests to exercise Metacat SOLR query/index features Closed
Task # 5884: Document solr-based Metacat indexing in user docs (RST format) Closed
Task # 5918: Separate unit tests from integration tests Closed
Task # 5921: Design and implement Metacat-Index module Closed
Task # 5922: Modify the solr index configuration for the resource map Closed
Task # 59283: Discover missed documents and queue them for indexing Closed
Task # 5926: Metacat-index doesn't build solr index during a Metadata inserting document Resolved
Task # 5943: Eliminate the unnecessary Systemmetadata event between the Metacat and Met... Resolved
Task # 5944: Metacat-index need an IndexEvent and IndexEventLog mechanism Closed
Task # 5945: Implement reindex action for individual PID Closed
Task # 5924: Add the configuration page for the Solr server in the Metacat configuratio... Closed
Task # 5927: Implements listing the query engines and fields for the solr query engine Resolved
Task # 5928: Make sure to start metacat-index web apps when the metacat web apps is sta... Closed
Task # 5930: Add a configuration property to turn on/off the indexing processes (SOLR ... Closed
Task # 5937: The solr indexes of the data file contains obsoleted ids for the resourcem... Closed
Task # 6004: Figure out why there are only 422 documents indexed in mn-demo-4.test.data... Resolved
Task # 6005: Incomplete solr index for the data objects if the resourcemap was indexed ... Closed

Related issues:

Related to Metacat - Bug #5395: Get unexpected result if a search was done be... Rejected 05/05/2011
Related to Metacat - Bug #4442: Spatial indexing should not run and block met... New 10/07/2009
Blocks Metacat - Bug #5815: Integrate Lucene indexing Resolved 01/24/2013
Blocks Metacat - Bug #5816: REST for Lucene index Resolved 01/24/2013
Blocks Metacat - Bug #5817: MN query for Lucene index Resolved 01/24/2013
Blocks Metacat - Bug #5812: Rework default skin[s] to use SOLR query Closed 04/18/2013
History

#1 - 02/25/2013 07:47 AM - ben leinfelder

MNQuery.listQueryEngines() will return these engines: {"pathquery", "solr"} and we'd call MNQuery.query("solr", <solrQuerySyntax>) to get a stream
of solr results back depending on the structure of the original query (might return xml or json etc).
See: http://mulei.dataone.org/ArchitectureDocs-current/apis/MN_APIs.html#MNQuery.query

#2 - 03/13/2013 03:48 PM - Jing Tao

Where "Metacat docs" include:

-Currently indexed DataONE science metadata (EML versions, FGDC versions, Dryad)
-SystemMetadata

-ORE objects

-Any additional XML schema™*

**When adding a new schema to be indexed by Metacat here are some requirements:

-Metacat admin should have complete control over which xpath expressions map to which fields in the current index.

-Configuration should allow for: adding new fields, specifying the type (string, number, boolean, etc) of the field, specifying the name of the field, and
mapping one or more xpath expressions to the field.

-If there is currently no appropriate field in the index, then the administrator should be able to easily add a new field to the index to accommodate the
new xpath.

-Metacat should not be at the mercy of DataONE to augment the fields or objectFormats that are indexed. It should incorporate enhancements from
DataONE if desired, but Metacat should be able to blaze the trail on indexing new content before the CN stack implements similar behavior.

#3 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5810

#4 - 04/18/2013 02:53 PM - ben leinfelder

- Assignee changed from Brendan Hahn to Jing Tao

#5 - 04/18/2013 04:54 PM - ben leinfelder

- Tracker changed from Bug to Feature

#6 - 08/01/2013 02:00 PM - ben leinfelder

- Status changed from New to Closed
